Bug 1568961

Summary: Slow Jenkins with GlusterFS persistant storage
Product: Red Hat Gluster Storage Reporter: mmariyan
Component: kubernetesAssignee: Humble Chirammal <hchiramm>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Prasanth <pprakash>
Severity: high Docs Contact:
Priority: high    
Version: cns-3.9CC: aos-bugs, aos-storage-staff, chad, hekumar, jokerman, jsafrane, madam, mmariyan, mmccomas, rhs-bugs, sankarshan, suprasad
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-01-14 09:57:41 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1573420, 1641915, 1642792    

Description mmariyan 2018-04-18 12:45:54 UTC
Description of problem:
The problem is that Jenkins with persistent storage is very slow after initial installation.The write speed of the jenkins pv its very slow. Other deployments working without slow.

[root@openshift pvc-f8cb6855-38cf-11e8-8bc3-728690ae6e7f]# dd if=/dev/zero of=test bs=1000 count=1000000
1000000+0 records in
1000000+0 records out
1000000000 bytes (1,0 GB) copied, 188,988 s, 5,3 MB/s


Version-Release number of selected component (if applicable):


Actual results:

Write speed is very slow with pv

Expected results:


Additional info:



Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:


Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:

Master Log:

Node Log (of failed PODs):

PV Dump:

PVC Dump:

StorageClass Dump (if StorageClass used by PV/PVC):

Additional info:


Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Ben Parees 2018-04-18 13:11:47 UTC
Moving to storage team since the issue is the write speed of the PV.

Comment 14 Sudhir 2018-07-09 17:31:55 UTC
Are you still using glusterfs or using block for Jenkins?

We are characterizing Jenkins on gluster block for 3.10.  If you are having issue with block let us know.


From the notes its not clear to me, may be reference to block is the underlying glusterfs devices. Are you looking for fine tuning the options to speed it up?

Comment 17 Sudhir 2018-10-29 15:24:31 UTC
Please let me know if the issue is related to block or glusterfs?

Can you please block and let us know if there are still issues with 3.11?